<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Pack ServiceType
 * @subpackage Services
 */
class Pack extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named packProductsToParcel
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $consignmentCode
     * @param string $parcelNumber
     * @param string $products
     * @param string $recalculateTaxAndDuty
     * @return boolean|bool
     */
    public function packProductsToParcel($consignmentCode, $parcelNumber, $products, $recalculateTaxAndDuty)
    {
        try {
            $this->setResult(self::getSoapClient()->packProductsToParcel($consignmentCode, $parcelNumber, $products, $recalculateTaxAndDuty));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return boolean
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
